format PE GUI 4.0
entry start

macro invoke proc,[arg]
 { common
    if ~ arg eq
   reverse
     pushd arg
   common
    end if
    call [proc] }

macro proc [args]
 { common
    match name params, args>
    \{ define@proc name,<params \} }

prologue@proc equ prologuedef

macro prologuedef procname,flag,parmbytes,localbytes,reglist
 { if parmbytes | localbytes
    push ebp
    mov ebp,esp
    if localbytes
     sub esp,localbytes
    end if
   end if
   irps reg, reglist \{ push reg \} }

epilogue@proc equ epiloguedef

macro epiloguedef procname,flag,parmbytes,localbytes,reglist
 { irps reg, reglist \{ reverse pop reg \}
   if parmbytes | localbytes
    leave
   end if
   if flag and 10000b
    retn
   else
    retn parmbytes
   end if }

macro define@proc name,statement
 { local params,flag,regs,parmbytes,localbytes,current
   if used name
   name:
   match =stdcall args, statement \{ params equ args
				     flag = 11b \}
   match =stdcall, statement \{ params equ
				flag = 11b \}
   match =c args, statement \{ params equ args
			       flag = 10001b \}
   match =c, statement \{ params equ
			  flag = 10001b \}
   match =params, params \{ params equ statement
			    flag = 0 \}
   virtual at ebp+8
   match =uses reglist=,args, params \{ regs equ reglist
					params equ args \}
   match =regs =uses reglist, regs params \{ regs equ reglist
					     params equ \}
   match =regs, regs \{ regs equ \}
   match =,args, params \{ defargs@proc args \}
   match =args@proc args, args@proc params \{ defargs@proc args \}
   parmbytes = $ - (ebp+8)
   end virtual
   name # % = parmbytes/4
   all@vars equ
   current = 0
   match prologue:reglist, prologue@proc:<regs> \{ prologue name,flag,parmbytes,localbytes,reglist \}
   macro locals
   \{ virtual at ebp-localbytes+current
      macro label def \\{ match . type,def> \\\{ deflocal@proc .,label,<type \\\} \\}
      struc db [val] \\{ \common deflocal@proc .,db,val \\}
      struc du [val] \\{ \common deflocal@proc .,du,val \\}
      struc dw [val] \\{ \common deflocal@proc .,dw,val \\}
      struc dp [val] \\{ \common deflocal@proc .,dp,val \\}
      struc dd [val] \\{ \common deflocal@proc .,dd,val \\}
      struc dt [val] \\{ \common deflocal@proc .,dt,val \\}
      struc dq [val] \\{ \common deflocal@proc .,dq,val \\}
      struc rb cnt \\{ deflocal@proc .,rb cnt, \\}
      struc rw cnt \\{ deflocal@proc .,rw cnt, \\}
      struc rp cnt \\{ deflocal@proc .,rp cnt, \\}
      struc rd cnt \\{ deflocal@proc .,rd cnt, \\}
      struc rt cnt \\{ deflocal@proc .,rt cnt, \\}
      struc rq cnt \\{ deflocal@proc .,rq cnt, \\} \}
   macro endl
   \{ purge label
      restruc db,du,dw,dp,dd,dt,dq
      restruc rb,rw,rp,rd,rt,rq
      current = $-(ebp-localbytes)
      end virtual \}
   macro ret operand
   \{ match any, operand \\{ retn operand \\}
      match , operand \\{ match epilogue:reglist, epilogue@proc:<regs>
			  \\\{ epilogue name,flag,parmbytes,localbytes,reglist \\\} \\} \}
   macro finish@proc \{ localbytes = (((current-1) shr 2)+1) shl 2
			end if \} }

macro defargs@proc [arg]
 { common
    if ~ arg eq
   forward
     local ..arg,current@arg
     match argname:type, arg
      \{ current@arg equ argname
	 label ..arg type
	 argname equ ..arg
	 if dqword eq type
	   dd ?,?,?,?
	 else if tbyte eq type
	   dd ?,?,?
	 else if qword eq type | pword eq type
	   dd ?,?
	 else
	   dd ?
	 end if \}
     match =current@arg,current@arg
      \{ current@arg equ arg
	 arg equ ..arg
	 ..arg dd ? \}
   common
     args@proc equ current@arg
   forward
     restore current@arg
   common
    end if }

macro endp
 { purge ret,locals,endl
   finish@proc
   purge finish@proc
   restore regs@proc
   match all,args@proc \{ restore all \}
   restore args@proc
   match all,all@vars \{ restore all \} }

macro local [var]
 { common
    locals
   forward done@local equ
    match varname[count]:vartype, var
    \{ match =BYTE, vartype \\{ varname rb count
				restore done@local \\}
       match =WORD, vartype \\{ varname rw count
				restore done@local \\}
       match =DWORD, vartype \\{ varname rd count
				 restore done@local \\}
       match =PWORD, vartype \\{ varname rp count
				 restore done@local \\}
       match =QWORD, vartype \\{ varname rq count
				 restore done@local \\}
       match =TBYTE, vartype \\{ varname rt count
				 restore done@local \\}
       match =DQWORD, vartype \\{ label varname dqword
				  rq count+count
				  restore done@local \\}
       match , done@local \\{ virtual
			       varname vartype
			      end virtual
			      rb count*sizeof.\#vartype
			      restore done@local \\} \}
    match :varname:vartype, done@local:var
    \{ match =BYTE, vartype \\{ varname db ?
				restore done@local \\}
       match =WORD, vartype \\{ varname dw ?
				restore done@local \\}
       match =DWORD, vartype \\{ varname dd ?
				 restore done@local \\}
       match =PWORD, vartype \\{ varname dp ?
				 restore done@local \\}
       match =QWORD, vartype \\{ varname dq ?
				 restore done@local \\}
       match =TBYTE, vartype \\{ varname dt ?
				 restore done@local \\}
       match =DQWORD, vartype \\{ label varname dqword
				  dq ?,?
				  restore done@local \\}
       match , done@local \\{ varname vartype
			      restore done@local \\} \}
    match ,done@local
    \{ var
       restore done@local \}
   common
    endl }

macro library [name,string]
 { forward
    local _label
    if defined name#.redundant
     if ~ name#.redundant
      dd RVA name#.lookup,0,0,RVA _label,RVA name#.address
     end if
    end if
    name#.referred = 1
   common
    dd 0,0,0,0,0
   forward
    if defined name#.redundant
     if ~ name#.redundant
      _label db string,0
	     rb RVA $ and 1
     end if
    end if }

macro import name,[label,string]
 { common
    if defined name#.referred
     name#.lookup:
   forward
     if used label
      if string eqtype ''
       local _label
       dd RVA _label
      else
       dd 80000000h + string
      end if
     end if
   common
     if $ > name#.lookup
      name#.redundant = 0
      dd 0
     else
      name#.redundant = 1
     end if
     name#.address:
   forward
     if used label
      if string eqtype ''
       label dd RVA _label
      else
       label dd 80000000h + string
      end if
     end if
   common
     if ~ name#.redundant
      dd 0
     end if
   forward
     if used label & string eqtype ''
     _label dw 0
	    db string,0
	    rb RVA $ and 1
     end if
   common
    end if }

macro directory [type,label]
 { common
    local max,count
    count = 0
    max = 0
   forward
    count = count + 1
    if type > max
     max = type
    end if
   common
    root@resource dd 0,%t,0,count shl 16
    repeat max
   forward
    if % = type
     dd type,80000000h+label-root@resource
    end if
   common
    end repeat }

macro resource dir,[id,lang,label]
 { common
    dir:
    local min,max,count,current
   forward
    min = id
    max = id
   common
    count = 0
   forward
    count = count + 1
    if id < min
     min = id
    else if id > max
     max = id
    end if
   common
    dd 0,%t,0,count shl 16
    repeat max-min+1
     current = $
   forward
     if min+%-1 = id
      if current = $
       dd id,80000000h+label#.directory-root@resource
      end if
     end if
   common
    end repeat
    repeat max-min+1
     current = $
   forward
     if min+%-1 = id
      if current = $
       label#.directory dd 0,%t,0,10000h,lang,label-root@resource
       count = 1
      else
       dd lang,label-root@resource
       count = count + 1
      end if
     end if
     label#.resid = id
   common
     local x,y,z,v1,v2
     if count > 1
      store word count at current+0Eh
      x = count shr 1
      while x > 0
       y = x
       while y < count
	z = y
	while z-x >= 0
	 load v1 dword from current+10h+z*8
	 load v2 dword from current+10h+(z-x)*8
	 if v1<v2
	  store dword v1 at current+10h+(z-x)*8
	  store dword v2 at current+10h+z*8
	  load v1 dword from current+10h+z*8+4
	  load v2 dword from current+10h+(z-x)*8+4
	  store dword v1 at current+10h+(z-x)*8+4
	  store dword v2 at current+10h+z*8+4
	 else
	  break
	 end if
	 z = z-x
	end while
	y = y+1
       end while
       x = x shr 1
      end while
     end if
    end repeat }

macro bitmap label,bitmap_file
 { local data,size
   label dd RVA data,size,0,0
   data file bitmap_file:0Eh
   size = $ - data
   align 4 }

macro icon group,[label,icon_file]
 { common local count
    count = 0
   forward local data,size,position
    label dd RVA data,size,0,0
    virtual at 0
     file icon_file:6,16
     load size dword from 8
     load position dword from 12
    end virtual
    data file icon_file:position,size
    count = count+1
   common local header
    align 4
    group dd RVA header,6+count*14,0,0
    header dw 0,1,count
   forward
    file icon_file:6,12
    dw label#.resid
   common
    align 4 }

macro resdata label
{ local data,size
  label dd RVA data,size,0,0
  data = $
  ressize equ size = $ - data }

macro endres
{ ressize
  align 4 }




section '.text' code readable executable

start:
        invoke  FindResource,0,8031,RT_RCDATA
        invoke  LoadResource,0,eax
        invoke  LockResource,eax
        mov     [rpoin1],eax 

   invoke  GetModuleHandle,0
   mov     [clsHInstance],eax
   invoke  LoadImage,eax,9750,1,512,512,20h
   mov     [clsHIcon],eax
   invoke  LoadCursor,0,IDC_ARROW
   mov     [clsHCursor],eax
   invoke  RegisterClass,clsStyle

   invoke  CreateSolidBrush,0FFFFFFh
   mov     [hbru],eax

   mov     esi,782
   invoke  GetSystemMetrics,SM_CYCAPTION
   add     esi,eax
   invoke  GetSystemMetrics,SM_CYFIXEDFRAME
   shl     eax,1
   add     esi,eax
   mov     edi,695
   invoke  GetSystemMetrics,SM_CXFIXEDFRAME
   shl     eax,1
   add     edi,eax

   invoke  CreateWindowEx,0,szClassName,szTitleName,WS_VISIBLE+WS_SYSMENU,CW_USEDEFAULT,CW_USEDEFAULT,edi,esi,0,0,[clsHInstance],0
   mov     [hwindow],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+WS_CHILD+WS_VISIBLE,0,0,695,782,[hwindow],7099,[clsHInstance],0
   mov     [hback],eax


   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE,225, 15,170,170,[hwindow],7001,[clsHInstance],0
   mov     [hbut1],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE,460, 30,170,170,[hwindow],7002,[clsHInstance],0
   mov     [hbut2],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE,520,250,170,170,[hwindow],7003,[clsHInstance],0
   mov     [hbut3],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE,495,500,170,170,[hwindow],7004,[clsHInstance],0
   mov     [hbut4],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE,300,600,170,170,[hwindow],7005,[clsHInstance],0
   mov     [hbut5],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE, 65,610,170,170,[hwindow],7006,[clsHInstance],0
   mov     [hbut6],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE,  0,350,170,170,[hwindow],7007,[clsHInstance],0
   mov     [hbut7],eax
   invoke  CreateWindowEx,0,stname,0,SS_BITMAP+SS_NOTIFY+WS_CHILD+WS_VISIBLE,  0,100,170,170,[hwindow],7008,[clsHInstance],0
   mov     [hbut8],eax




   mov     [splcounter],0
loadbi:
   add     [splcounter],9600
   invoke  LoadBitmap,[clsHInstance],[splcounter]
   sub     [splcounter],9600

   mov     ebx,hpict
   shl     [splcounter],2
   add     ebx,[splcounter]
   shr     [splcounter],2
   mov     [ebx],eax

   inc     [splcounter]
   cmp     [splcounter],37
jbe loadbi

   invoke  SendMessage,[hback],STM_SETIMAGE,0,[hpict]
   mov     [splcounter],0



msg_loop:
   invoke  GetMessage,msHWND,0,0,0
   or      eax,eax
jz end_loop
   invoke  TranslateMessage,msHWND
   invoke  DispatchMessage,msHWND
jmp msg_loop
end_loop:



   mov     [splcounter],0
delbi:
   mov     ebx,hpict
   shl     [splcounter],2
   add     ebx,[splcounter]
   shr     [splcounter],2
   mov     esi,[ebx]
   invoke  DeleteObject,esi
   inc     [splcounter]
   cmp     [splcounter],37
jbe delbi



   invoke  DeleteObject,[HNewFont]
   invoke  DeleteObject,[hbru]
   invoke  ExitProcess,[msWPARAM]





                                   
proc WndProc, hwnd,wmsg,wparam,lparam
   push       ebx esi edi
   cmp        [wmsg],WM_CTLCOLORSTATIC
je maniakk
   cmp        [wmsg],WM_DESTROY
je wmdestroy
   cmp        [wmsg],WM_COMMAND
je whatdown
   invoke     DefWindowProc,[hwnd],[wmsg],[wparam],[lparam]
jmp finish


maniakk:
   invoke  SetTextColor,[wparam],0D5962Bh
   mov     eax,[hbru]
jmp finish


whatdown:
   and     [wparam],0FFFFh
   cmp     [splcounter],37
je my


   cmp     [wparam],7001
jne splnoA


   cmp     [splcounter],25
jne splno25
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno25:
   cmp     [splcounter],26
jne splno26
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno26:
   cmp     [splcounter],30
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai


splnoA:
   cmp     [wparam],7002
jne splnoB


   cmp     [splcounter],5
jne splno5
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno5:
   cmp     [splcounter],6
jne splno6
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno6:
   cmp     [splcounter],12
jne splno12
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno12:
   cmp     [splcounter],36
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai


splnoB:
   cmp     [wparam],7003
jne splnoC


   cmp     [splcounter],2
jne splno2
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno2:
   cmp     [splcounter],16
jne splno16
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno16:
   cmp     [splcounter],19
jne splno19
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno19:
   cmp     [splcounter],33
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai


splnoC:
   cmp     [wparam],7004
jne splnoD


   cmp     [splcounter],8
jne splno8
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno8:
   cmp     [splcounter],15
jne splno15
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno15:
   cmp     [splcounter],23
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai


splnoD:
   cmp     [wparam],7005
jne splnoE


   cmp     [splcounter],1
jne splno1
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno1:
   cmp     [splcounter],3
jne splno3
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno3:
   cmp     [splcounter],9
jne splno9
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno9:
   cmp     [splcounter],13
jne splno13
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno13:
   cmp     [splcounter],31
jne splno31
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno31:
   cmp     [splcounter],34
jne splno34
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno34:
   cmp     [splcounter],35
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai


splnoE:
   cmp     [wparam],7006
jne splnoF


   cmp     [splcounter],18
jne splno18
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno18:
   cmp     [splcounter],29
jne splno29
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno29:
   cmp     [splcounter],32
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai


splnoF:
   cmp     [wparam],7007
jne splnoG


   cmp     [splcounter],10
jne splno10
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno10:
   cmp     [splcounter],11
jne splno11
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno11:
   cmp     [splcounter],20
jne splno20
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno20:
   cmp     [splcounter],21
jne splno21
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno21:
   cmp     [splcounter],24
jne splno24
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno24:
   cmp     [splcounter],27
jne splno27
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno27:
   cmp     [splcounter],28
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai


splnoG:
   cmp     [wparam],7008
jne splpai


   cmp     [splcounter],4
jne splno4
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno4:
   cmp     [splcounter],7
jne splno7
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno7:
   cmp     [splcounter],14
jne splno14
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno14:
   cmp     [splcounter],17
jne splno17
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai
splno17:
   cmp     [splcounter],22
jne splpai
   inc     [spliq]
   invoke  PlaySound,[rpoin1],0,5
jmp splpai




splpai:
   inc     [splcounter]
   mov     ebx,hpict 
   mov     eax,[splcounter]
   shl     eax,2
   add     ebx,eax
   mov     esi,[ebx]
   invoke  SendMessage,[hback],STM_SETIMAGE,0,esi

        mov     eax,[splcounter]
        mov     ebx,10
        mov     esi,captioinformer+35
decodz:
        xor     edx,edx
        div     ebx
        add     dl,'0'
        mov     [esi],dl
        dec     esi
        cmp     eax,0
jne decodz



   invoke  SetWindowText,[hwindow],captioinformer
   cmp     [splcounter],37
jne nolast

        mov     eax,[spliq]
        shl     eax,1
        cmp     eax,38
jb nocorre
        dec     eax
nocorre:
        add     eax,89


        mov     ebx,10
        mov     esi,spliqstr+2
decod:
        xor     edx,edx
        div     ebx
        add     dl,'0'
        mov     [esi],dl
        dec     esi
        cmp     eax,0
jne decod


   invoke  CreateFontIndirect,lfHeight
   mov     [HNewFont],eax
   invoke  CreateWindowEx,0,stname,spliqstr,SS_SIMPLE+WS_CHILD+WS_VISIBLE,490,556,209,123,[hwindow],6497,[clsHInstance],0
   mov     [hspliqstr],eax
   invoke  SendMessage,[hspliqstr],WM_SETFONT,[HNewFont],0
   invoke  SetWindowText,[hwindow],captioend
nolast:
jmp my


wmdestroy:
   invoke     PostQuitMessage,0
my:
   xor        eax,eax
finish:
   pop        edi esi ebx
   ret
endp






section '.idata' data import readable writeable


  library kernel,'KERNEL32.DLL',\
          user,'USER32.DLL',\
          gdi,'GDI32.DLL',\
          mm,'WINMM.DLL'


  import kernel,\
         GetModuleHandle,'GetModuleHandleA',\
         FindResource,'FindResourceA',\
         LoadResource,'LoadResource',\
         LockResource,'LockResource',\
         CloseHandle,'CloseHandle',\
         ExitProcess,'ExitProcess'

  import user,\
         RegisterClass,'RegisterClassA',\
         CreateWindowEx,'CreateWindowExA',\
         DefWindowProc,'DefWindowProcA',\
         GetMessage,'GetMessageA',\
         SendMessage,'SendMessageA',\
         TranslateMessage,'TranslateMessage',\
         DispatchMessage,'DispatchMessageA',\
         LoadCursor,'LoadCursorA',\
         LoadBitmap,'LoadBitmapA',\
         LoadImage,'LoadImageA',\
         SetWindowText,'SetWindowTextA',\ 
         PostQuitMessage,'PostQuitMessage',\
         GetSystemMetrics,'GetSystemMetrics'

  import gdi,\
         CreateFontIndirect,'CreateFontIndirectA',\
         CreateSolidBrush,'CreateSolidBrush',\
         SetTextColor,'SetTextColor',\
         DeleteObject,'DeleteObject'

  import mm,\
         PlaySound,'PlaySound'



section '.rsrc' resource data readable

directory RT_BITMAP,splutki,\
          RT_ICON,splicos,\
          RT_GROUP_ICON,splgroups,\
          RT_RCDATA,splding

resource splutki,\
9600,LANG_NEUTRAL,utki00,\
9601,LANG_NEUTRAL,utki01,\
9602,LANG_NEUTRAL,utki02,\
9603,LANG_NEUTRAL,utki03,\
9604,LANG_NEUTRAL,utki04,\
9605,LANG_NEUTRAL,utki05,\
9606,LANG_NEUTRAL,utki06,\
9607,LANG_NEUTRAL,utki07,\
9608,LANG_NEUTRAL,utki08,\
9609,LANG_NEUTRAL,utki09,\
9610,LANG_NEUTRAL,utki10,\
9611,LANG_NEUTRAL,utki11,\
9612,LANG_NEUTRAL,utki12,\
9613,LANG_NEUTRAL,utki13,\
9614,LANG_NEUTRAL,utki14,\
9615,LANG_NEUTRAL,utki15,\
9616,LANG_NEUTRAL,utki16,\
9617,LANG_NEUTRAL,utki17,\
9618,LANG_NEUTRAL,utki18,\
9619,LANG_NEUTRAL,utki19,\
9620,LANG_NEUTRAL,utki20,\
9621,LANG_NEUTRAL,utki21,\
9622,LANG_NEUTRAL,utki22,\
9623,LANG_NEUTRAL,utki23,\
9624,LANG_NEUTRAL,utki24,\
9625,LANG_NEUTRAL,utki25,\
9626,LANG_NEUTRAL,utki26,\
9627,LANG_NEUTRAL,utki27,\
9628,LANG_NEUTRAL,utki28,\
9629,LANG_NEUTRAL,utki29,\
9630,LANG_NEUTRAL,utki30,\
9631,LANG_NEUTRAL,utki31,\
9632,LANG_NEUTRAL,utki32,\
9633,LANG_NEUTRAL,utki33,\
9634,LANG_NEUTRAL,utki34,\
9635,LANG_NEUTRAL,utki35,\
9636,LANG_NEUTRAL,utki36,\
9637,LANG_NEUTRAL,utki37

resource splicos,7750,LANG_NEUTRAL,ico00
resource splgroups,9750,LANG_NEUTRAL,grp00
resource splding,8031,LANG_NEUTRAL,chimes

bitmap utki00,'images/sacft00.bmp'
bitmap utki01,'images/sacft01.bmp'
bitmap utki02,'images/sacft02.bmp'
bitmap utki03,'images/sacft03.bmp'
bitmap utki04,'images/sacft04.bmp'
bitmap utki05,'images/sacft05.bmp'
bitmap utki06,'images/sacft06.bmp'
bitmap utki07,'images/sacft07.bmp'
bitmap utki08,'images/sacft08.bmp'
bitmap utki09,'images/sacft09.bmp'
bitmap utki10,'images/sacft10.bmp'
bitmap utki11,'images/sacft11.bmp'
bitmap utki12,'images/sacft12.bmp'
bitmap utki13,'images/sacft13.bmp'
bitmap utki14,'images/sacft14.bmp'
bitmap utki15,'images/sacft15.bmp'
bitmap utki16,'images/sacft16.bmp'
bitmap utki17,'images/sacft17.bmp'
bitmap utki18,'images/sacft18.bmp'
bitmap utki19,'images/sacft19.bmp'
bitmap utki20,'images/sacft20.bmp'
bitmap utki21,'images/sacft21.bmp'
bitmap utki22,'images/sacft22.bmp'
bitmap utki23,'images/sacft23.bmp'
bitmap utki24,'images/sacft24.bmp'
bitmap utki25,'images/sacft25.bmp'
bitmap utki26,'images/sacft26.bmp'
bitmap utki27,'images/sacft27.bmp'
bitmap utki28,'images/sacft28.bmp'
bitmap utki29,'images/sacft29.bmp'
bitmap utki30,'images/sacft30.bmp'
bitmap utki31,'images/sacft31.bmp'
bitmap utki32,'images/sacft32.bmp'
bitmap utki33,'images/sacft33.bmp'
bitmap utki34,'images/sacft34.bmp'
bitmap utki35,'images/sacft35.bmp'
bitmap utki36,'images/sacft36.bmp'
bitmap utki37,'images/sacft37.bmp'

icon grp00,ico00,'images/spliq.ico' 

resdata chimes
    file 'images/chimes.wav'
endres



section '.data' data readable writeable



clsStyle          dd   0
clsLpfnWndProc    dd   WndProc
clsCbClsExtra     dd   0
clsCbWndExtra     dd   0
clsHInstance      dd   ?
clsHIcon          dd   ?
clsHCursor        dd   ?
clsHbrBackground  dd   COLOR_WINDOW+1
clsLpszMenuName   dd   0
clsLpszClassName  dd   szClassName
szTitleName       db   '  ',0
szClassName       db   'otireuhfjdhfeilk',0
stname            db   'STATIC',0
captioinformer    db   '  ,      36',0
captioend         db   '  , ',0


spliq             dd    0
spliqstr          db    '   ',0


lfHeight          dd 120
lfWidth           dd 0
lfEscapement      dd 0
lfOrientation     dd 0
lfWeight          dd FW_BOLD
lfItalic          db 0
lfUnderline       db 0
lfStrikeOut       db 0
lfCharSet         db ANSI_CHARSET
lfOutPrecision    db OUT_STROKE_PRECIS
lfClipPrecision   db CLIP_STROKE_PRECIS
lfQuality         db PROOF_QUALITY
lfPitchAndFamily  db VARIABLE_PITCH+FF_DONTCARE
lfFaceName        db 'Arial',0





hwindow           rd    1
hback             rd    1
hspliqstr         rd    1
hbru              rd    1
HNewFont          rd    1

hbut1             rd    1
hbut2             rd    1
hbut3             rd    1
hbut4             rd    1
hbut5             rd    1
hbut6             rd    1
hbut7             rd    1
hbut8             rd    1


hpict             rd    38

msHWND            rd    1
msMESSAGE         rd    1
msWPARAM          rd    1
msLPARAM          rd    1
msTIME            rd    1
msPT              rd    2

splcounter        rd    1


rpoin1            rd    1


LANG_NEUTRAL          = 00h
RT_BITMAP             = 2
RT_ICON               = 3
RT_RCDATA             = 10
RT_GROUP_ICON         = 14
SM_CYCAPTION          = 4
SM_CXFIXEDFRAME       = 7
SM_CYFIXEDFRAME       = 8
IDC_CROSS             = 32515
IDC_ARROW             = 32512
COLOR_WINDOW          = 5
CW_USEDEFAULT         = 8000h
WS_CHILD              = 040000000h
WS_VISIBLE            = 010000000h
WS_SYSMENU            = 000080000h
SS_SIMPLE             = 000Bh
SS_BITMAP             = 000Eh
SS_NOTIFY             = 0100h
STM_SETIMAGE          = 0172h
WM_CTLCOLORSTATIC     = 0138h
WM_DESTROY            = 0002h
WM_COMMAND            = 0111h
WM_SETFONT            = 0030h
FW_BOLD               = 700
OUT_STROKE_PRECIS     = 3
CLIP_STROKE_PRECIS    = 2
PROOF_QUALITY         = 2
VARIABLE_PITCH        = 2
FF_DONTCARE           = 0
ANSI_CHARSET          = 0



